> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt # EditCallListTask POST https://api.voximplant.com/platform_api/EditCallListTask Edits the specified call list's task. Allowed roles: `Owner`, `Admin`, `Developer`, `Call list manager`, `Support`. **Example request:** Set attempts_left, start_at, and custom_data the task with id=1 in the call list with id=1. Reference: https://docs.voximplant.ai/api-reference/management-api/reference/call-lists/edit-call-list-task ## Authentication - `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token. ## Request ### Query parameters - `list_id` (integer, required) — Call list's ID - `task_id` (integer, optional) — Call list's task ID. Please specify either the task's ID or the task's UUID to edit the task - `task_uuid` (string, optional) — Call list's task ID. Please specify either the task's ID or the task's UUID to edit the task. The UUID is unique within the call list - `start_at` (string, optional) — Next calling attempts timestamp in the yyyy-MM-dd HH:mm:ss format - `attempts_left` (integer, optional) — Number of remaining calling attempts - `custom_data` (string, optional) — Custom data string - `min_execution_time` (string, optional) — Optional. Start time for the daily calling attempts in the UTC+0 24-h format: HH:mm:ss format. If spefied, please specify `max_execution_time` as well - `max_execution_time` (string, optional) — Optional. End time for the daily calling attempts in the UTC+0 24-h format: HH:mm:ss format. If spefied, please specify `min_execution_time` as well ## Response ### 200 Successful response - `result` (boolean, optional) — Whether the request completed successfully ## Examples **Request** ```json {} ``` **Response** ```json { "result": true } ``` **SDK Code** ```python Example 1 import requests url = "https://api.voximplant.com/platform_api/EditCallListTask" querystring = {"list_id":"1","task_id":"1","attempts_left":"3","start_at":"2024-07-01 09:00:00","custom_data":"priority=high;customer_segment=premium"} payload = {} headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers, params=querystring) print(response.json()) ``` ```javascript Example 1 const url = 'https://api.voximplant.com/platform_api/EditCallListTask?list_id=1&task_id=1&attempts_left=3&start_at=2024-07-01+09%3A00%3A00&custom_data=priority%3Dhigh%3Bcustomer_segment%3Dpremium'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Example 1 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voximplant.com/platform_api/EditCallListTask?list_id=1&task_id=1&attempts_left=3&start_at=2024-07-01+09%3A00%3A00&custom_data=priority%3Dhigh%3Bcustomer_segment%3Dpremium" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example 1 require 'uri' require 'net/http' url = URI("https://api.voximplant.com/platform_api/EditCallListTask?list_id=1&task_id=1&attempts_left=3&start_at=2024-07-01+09%3A00%3A00&custom_data=priority%3Dhigh%3Bcustomer_segment%3Dpremium") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java Example 1 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.voximplant.com/platform_api/EditCallListTask?list_id=1&task_id=1&attempts_left=3&start_at=2024-07-01+09%3A00%3A00&custom_data=priority%3Dhigh%3Bcustomer_segment%3Dpremium") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php Example 1 request('POST', 'https://api.voximplant.com/platform_api/EditCallListTask?list_id=1&task_id=1&attempts_left=3&start_at=2024-07-01+09%3A00%3A00&custom_data=priority%3Dhigh%3Bcustomer_segment%3Dpremium', [ 'body' => '{}', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Example 1 using RestSharp; var client = new RestClient("https://api.voximplant.com/platform_api/EditCallListTask?list_id=1&task_id=1&attempts_left=3&start_at=2024-07-01+09%3A00%3A00&custom_data=priority%3Dhigh%3Bcustomer_segment%3Dpremium"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example 1 import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/EditCallListTask?list_id=1&task_id=1&attempts_left=3&start_at=2024-07-01+09%3A00%3A00&custom_data=priority%3Dhigh%3Bcustomer_segment%3Dpremium")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```